net.sf.jasperreports.components.charts

## Interface ChartSettings

- All Superinterfaces:
    java.lang.Cloneable, JRAnchor, JRCloneable, JRHyperlink, java.io.Serializable
  All Known Implementing Classes:
    FillChartSettings, StandardChartSettings

      public interface ChartSettings
      extends JRAnchor, JRHyperlink, java.io.Serializable

  Version:
    $Id: ChartSettings.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRAnchor

      `NO_BOOKMARK`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getBackcolor()`
    `byte` | `getChartType()`
    `java.lang.String` | `getCustomizerClass()` Gets a user specified chart customizer class name.
    `java.awt.Color` | `getLegendBackgroundColor()`
    `java.awt.Color` | `getLegendColor()`
    `JRFont` | `getLegendFont()`
    `EdgeEnum` | `getLegendPosition()`
    `java.lang.String` | `getRenderType()`
    `java.lang.Boolean` | `getShowLegend()`
    `java.awt.Color` | `getSubtitleColor()`
    `JRExpression` | `getSubtitleExpression()`
    `JRFont` | `getSubtitleFont()`
    `java.awt.Color` | `getTitleColor()`
    `JRExpression` | `getTitleExpression()`
    `JRFont` | `getTitleFont()`
    `EdgeEnum` | `getTitlePosition()`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRAnchor

      `getAnchorNameExpression, getBookmarkLevel`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRHyperlink

      `getHyperlinkAnchorExpression, getHyperlinkPageExpression, getHyperlinkParameters, getHyperlinkReferenceExpression, getHyperlinkTarget, getHyperlinkTooltipExpression, getHyperlinkType, getHyperlinkTypeValue, getHyperlinkWhenExpression, getLinkTarget, getLinkType`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getShowLegend

          java.lang.Boolean getShowLegend()

    - #### getBackcolor

          java.awt.Color getBackcolor()

    - #### getTitleFont

          JRFont getTitleFont()

    - #### getTitlePosition

          EdgeEnum getTitlePosition()

    - #### getTitleColor

          java.awt.Color getTitleColor()

    - #### getSubtitleFont

          JRFont getSubtitleFont()

    - #### getSubtitleColor

          java.awt.Color getSubtitleColor()

    - #### getLegendBackgroundColor

          java.awt.Color getLegendBackgroundColor()

    - #### getLegendColor

          java.awt.Color getLegendColor()

    - #### getLegendFont

          JRFont getLegendFont()

    - #### getLegendPosition

          EdgeEnum getLegendPosition()

    - #### getTitleExpression

          JRExpression getTitleExpression()

    - #### getSubtitleExpression

          JRExpression getSubtitleExpression()

    - #### getChartType

          byte getChartType()

    - #### getRenderType

          java.lang.String getRenderType()

    - #### getCustomizerClass

          java.lang.String getCustomizerClass()

      Gets a user specified chart customizer class name.
      See Also:
        `ChartCustomizer`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com